Bug 104498 - graphical installer doesn't work with GeForce FX video card
Summary: graphical installer doesn't work with GeForce FX video card
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: hwdata   
(Show other bugs)
Version: beta1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-16 14:02 UTC by Mikel Ward
Modified: 2014-03-17 02:38 UTC (History)
1 user (show)

Fixed In Version: 0.92-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-17 02:39:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "lspci" on my machine, "pepper" (1.74 KB, text/plain)
2003-09-17 01:59 UTC, Mikel Ward
no flags Details
output of "lspci -n" on my machine, pepper (897 bytes, text/plain)
2003-09-17 02:00 UTC, Mikel Ward
no flags Details

Description Mikel Ward 2003-09-16 14:02:59 UTC
When I attempt to install Red Hat Linux 9.0.93 on my AMD Athlon XP
system which has an ASUS GeForce FX 5200 video card, the installer
gets as far as:
Waiting for start X server to start...log located in /tmp/X.log

Then the screen goes blank and the monitor enters suspend mode.

Looking in /tmp/X.log, I see:
(EE) Failed to load module glx (module does not exist, 0)
(EE) Failed to load module record (module does not exist, 0)

The modules in /tmp/XF86Config.text (just in case it's relevant)
are:
dbe
extmod
fbdevhw
glx
record
freetype
type1

Attempting to start an X server with the "vesa" driver fails, but
the "nv" driver seems to work.  The "nv" driver is automatically
detected when running "XFree86 -configure", but I presume the
installer always uses the "vesa" driver, and it seems this driver
does not work with that version of X (XFree86 4.3.0 9 May 2003).

Comment 1 Mikel Ward 2003-09-16 14:21:33 UTC
This sounds like it was solved in bug 99535.


Comment 2 Jeremy Katz 2003-09-16 15:06:10 UTC
Could you provide the lspci -n information for your video card?

Comment 3 Mikel Ward 2003-09-17 01:59:56 UTC
Created attachment 94546 [details]
output of "lspci" on my machine, "pepper"

Comment 4 Mikel Ward 2003-09-17 02:00:28 UTC
Created attachment 94547 [details]
output of "lspci -n" on my machine, pepper

Comment 5 Bill Nottingham 2003-09-17 02:39:38 UTC
This was fixed in hwdata-0.92-1, on August 27.


Note You need to log in before you can comment on or make changes to this bug.